Rob Crittenden wrote:
389-ds-base added logging if the entry cache is smaller than the
database so users will know they need to tune their DS install. Set this
as the minimum for IPA.

rob

Rebased patch.

rob

>From 131a95cf91bf1026f7afb2aa73251c92fc7e9822 Mon Sep 17 00:00:00 2001
From: Rob Crittenden <rcrit...@redhat.com>
Date: Mon, 20 Aug 2012 15:07:38 -0400
Subject: [PATCH] Set minimum of 389-ds-base to 1.2.11.8 to pick up cache
 warning.

If the DB is bigger than nsslapd-cachememsize then a warning will be
logged by 389-ds-base.

https://fedorahosted.org/freeipa/ticket/2739
---
 freeipa.spec.in | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

diff --git a/freeipa.spec.in b/freeipa.spec.in
index c371e9ded093abef6bc7298c7ddd3b39fe020f44..0a213329036b162fac1cf242d976da95d4f26ba7 100644
--- a/freeipa.spec.in
+++ b/freeipa.spec.in
@@ -101,7 +101,7 @@ Requires: %{name}-client = %{version}-%{release}
 Requires: %{name}-admintools = %{version}-%{release}
 Requires: %{name}-server-selinux = %{version}-%{release}
 %if 0%{?fedora} >= 17
-Requires(pre): 389-ds-base >= 1.2.11.5-1
+Requires(pre): 389-ds-base >= 1.2.11.8-1
 %else
 Requires(pre): 389-ds-base >= 1.2.10.10-1
 %endif
@@ -752,6 +752,14 @@ fi
 %ghost %attr(0644,root,apache) %config(noreplace) %{_sysconfdir}/ipa/ca.crt
 
 %changelog
+* Mon Aug 20 2012 Rob Crittenden <rcrit...@redhat.com> - 2.99.0-44
+- Set min for 389-ds-base to 1.2.11.11-1 on F17+ to pull in updated
+  RUV code and nsslapd-readonly schema.
+
+* Mon Aug 20 2012 Rob Crittenden <rcrit...@redhat.com> - 2.99.0-43
+- Set min for 389-ds-base to 1.2.11.9-1 on F17+ to pull in warning about
+  low nsslapd-cachememsize.
+
 * Mon Aug 20 2012 Tomas Babej <tba...@redhat.com> - 2.99.0-42
 - Add samba4-winbind to build dependencies for AD server-side code
 
-- 
1.7.11.4

_______________________________________________
Freeipa-devel mailing list
Freeipa-devel@redhat.com
https://www.redhat.com/mailman/listinfo/freeipa-devel

Reply via email to